-- ----------------------------- --
--                               --
--  Elkano's bags_and_merchants  --
--                               --
--          version 1.1          --
--                               --
-- ----------------------------- --

function OpenBankBagFrames() 
	for i=NUM_BAG_SLOTS+1, (NUM_BAG_SLOTS + NUM_BANKBAGSLOTS), 1 do
		OpenBag(i);
	end
end

function bags_and_merchants_OnLoad()
	this:RegisterEvent("AUCTION_HOUSE_SHOW");
	this:RegisterEvent("AUCTION_HOUSE_CLOSED");
	this:RegisterEvent("BANKFRAME_OPENED");
	this:RegisterEvent("BANKFRAME_CLOSED");
	this:RegisterEvent("MAIL_SHOW");
	this:RegisterEvent("MAIL_CLOSED");
	this:RegisterEvent("MERCHANT_SHOW");
	this:RegisterEvent("MERCHANT_CLOSED");
	this:RegisterEvent("TRADE_CLOSED");
	this:RegisterEvent("TRADE_SHOW");
	if( DEFAULT_CHAT_FRAME ) then
		DEFAULT_CHAT_FRAME:AddMessage("Elkano's bags_and_merchants AddOn v1.1 loaded");
	end
end

function bags_and_merchants_OnEvent()
	if ( event == "AUCTION_HOUSE_SHOW" or event == "BANKFRAME_OPENED" or event == "MAIL_SHOW" or event == "MERCHANT_SHOW" or event == "TRADE_SHOW" ) then
		OpenAllBags(true);
	end
	if ( event == "BANKFRAME_OPENED" ) then
		OpenBankBagFrames(true);
	end
	if ( event == "AUCTION_HOUSE_CLOSED" or event == "BANKFRAME_CLOSED" or event == "MAIL_CLOSED" or event == "MERCHANT_CLOSED" or event == "TRADE_CLOSE" ) then
		CloseAllBags();
	end
end